Skip to main content
GET
/
security
/
notifier
/
v1
/
event_logs
/
{event_log_id}
Event Log Detail View
curl --request GET \
  --url https://api.gcore.com/security/notifier/v1/event_logs/{event_log_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/security/notifier/v1/event_logs/{event_log_id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/security/notifier/v1/event_logs/{event_log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "client_id": 123,
  "notification_type": "<string>",
  "attack_start_time": "2023-11-07T05:31:56Z",
  "attack_power_bps": 123,
  "attack_power_pps": 123,
  "number_of_ip_involved_in_attack": 123,
  "targeted_ip_addresses": "<string>",
  "attack_traffic": [
    {}
  ],
  "attack_packet_sizes": [
    {}
  ],
  "attack_top_source_countries": [
    {}
  ],
  "attack_top_source_ips": [
    {}
  ],
  "attack_top_source_ports": [
    {}
  ],
  "attack_top_destination_ports": [
    {}
  ],
  "attack_top_protocols": [
    {}
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

event_log_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
alert_type
enum<string> | null
Available options:
ddos_alert,
rtbh_alert
client_id
integer | null
notification_type
string | null
attack_start_time
string<date-time> | null
attack_power_bps
number | null
attack_power_pps
number | null
number_of_ip_involved_in_attack
integer | null
targeted_ip_addresses
string | null
attack_traffic
Attack Traffic · object[] | null
attack_packet_sizes
Attack Packet Sizes · object[] | null
attack_top_source_countries
Attack Top Source Countries · object[] | null
attack_top_source_ips
Attack Top Source Ips · object[] | null
attack_top_source_ports
Attack Top Source Ports · object[] | null
attack_top_destination_ports
Attack Top Destination Ports · object[] | null
attack_top_protocols
Attack Top Protocols · object[] | null